# Method: accounts.omnichannelSettings.lfpProviders.find

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#body.FindLfpProvidersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#body.aspect)
- [LfpProvider](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#LfpProvider)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#LfpProvider.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#try-it)

Find the LFP provider candidates in a given country.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1alpha/{parent=accounts/*/omnichannelSettings/*}/lfpProviders:find`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the parent resource under which the LFP providers are found. Format: `accounts/{account}/omnichannelSettings/{omnichannelSetting}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of `LfpProvider` resources to return. The service returns fewer than this value if the number of lfp providers is less that than the `pageSize`. The default value is 50. The maximum value is 1000; If a value higher than the maximum is specified, then the `pageSize` will default to the maximum. |
| `pageToken` | `string` Optional. A page token, received from a previous `lfpProviders.find` call. Provide the page token to retrieve the subsequent page. When paginating, all other parameters provided to `lfpProviders.find` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the lfpProviders.find method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lfpProviders": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#LfpProvider`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `lfpProviders[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings.lfpProviders/find#LfpProvider`)`` The LFP providers from the specified merchant in the specified country. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## LfpProvider

Collection of information related to a Local Feed Partnership (LFP) provider.

| JSON representation |
|---|
| ``` { "name": string, "regionCode": string, "displayName": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The resource name of the LFP provider. Format: `accounts/{account}/omnichannelSettings/{omnichannelSetting}/lfpProviders/{lfpProvider}` |
| `regionCode` | `string` Output only. Region code defined by [CLDR](https://cldr.unicode.org/). |
| `displayName` | `string` The display name of the LFP provider. |